> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pocketflows.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List all the sent emails for a trigger



## OpenAPI

````yaml /openapi.json get /triggers/{id}/sent_emails
openapi: 3.0.3
info:
  title: Pocketflows API
  version: 0.0.4
servers:
  - url: https://api.pocketflows.com
    description: Production server
security:
  - HttpBasicAuth: []
paths:
  /triggers/{id}/sent_emails:
    get:
      tags:
        - Sent emails
      summary: List all the sent emails for a trigger
      parameters:
        - in: path
          name: id
          schema:
            type: string
          description: The ID of the trigger
          required: true
      responses:
        '200':
          description: >-
            A dictionary with a `sent_emails` property which is an array of
            `SentEmail` objects
          content:
            application/json:
              schema:
                type: object
                properties:
                  sent_emails:
                    type: array
                    items:
                      $ref: '#/components/schemas/SentEmail'
                    description: An array of `SentEmail` objects
                required:
                  - sent_emails
components:
  schemas:
    SentEmail:
      type: object
      properties:
        id:
          type: string
          description: The ID of the campaign
        created_at:
          type: string
          description: The time when the campaign was created in ISO 8601 format
        customer:
          type: string
          nullable: true
          description: The ID of the customer that was sent the email
        subject:
          type: string
          description: The subject of the email
        sent_at:
          type: string
          nullable: true
          description: The time when the email was sent in ISO 8601 format
        failed_at:
          type: string
          nullable: true
          description: The time when the email failed to send in ISO 8601 format
        failed_reason:
          type: string
          nullable: true
          description: The reason the email failed to send
        to_email_address:
          type: string
          nullable: true
          description: The email address the email was sent to
        sendgrid_message_id:
          type: string
          nullable: true
          description: Sendgrid's returned message ID
        paubox_message_id:
          type: string
          nullable: true
          description: Paubox's returned message ID
        postmark_message_id:
          type: string
          nullable: true
          description: Postmark's returned message ID
      required:
        - id
        - created_at
        - customer
        - subject
        - sent_at
        - failed_at
        - failed_reason
        - to_email_address
      title: The Sent Email object
  securitySchemes:
    HttpBasicAuth:
      type: http
      scheme: basic

````